Package ghidra.app.util.bin.format.macho.dyld

# Enum Class DyldChainedPtr.DyldChainType

java.lang.Object
java.lang.Enum<DyldChainedPtr.DyldChainType>
ghidra.app.util.bin.format.macho.dyld.DyldChainedPtr.DyldChainType

All Implemented Interfaces:
  `Serializable`, `Comparable<DyldChainedPtr.DyldChainType>`, `Constable`

Enclosing class:
  `DyldChainedPtr`

public static enum DyldChainedPtr.DyldChainType extends Enum<DyldChainedPtr.DyldChainType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DYLD_CHAINED_PTR_32`
  `DYLD_CHAINED_PTR_32_CACHE`
  `DYLD_CHAINED_PTR_32_FIRMWARE`
  `DYLD_CHAINED_PTR_64`
  `DYLD_CHAINED_PTR_64_KERNEL_CACHE`
  `DYLD_CHAINED_PTR_64_OFFSET`
  `DYLD_CHAINED_PTR_ARM64E`
  `DYLD_CHAINED_PTR_ARM64E_FIRMWARE`
  `DYLD_CHAINED_PTR_ARM64E_KERNEL`
  `DYLD_CHAINED_PTR_ARM64E_SHARED_CACHE`
  `DYLD_CHAINED_PTR_ARM64E_USERLAND`
  `DYLD_CHAINED_PTR_ARM64E_USERLAND24`
  `DYLD_CHAINED_PTR_TYPE_UNKNOWN`
  `DYLD_CHAINED_PTR_X86_64_KERNEL_CACHE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `int`
  `getValue()`
  `static DyldChainedPtr.DyldChainType`
  `lookupChainPtr(int val)`
  `static DyldChainedPtr.DyldChainType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DyldChainedPtr.DyldChainType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DYLD_CHAINED_PTR_ARM64E

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_ARM64E

  - ### DYLD_CHAINED_PTR_64

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_64

  - ### DYLD_CHAINED_PTR_32

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_32

  - ### DYLD_CHAINED_PTR_32_CACHE

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_32_CACHE

  - ### DYLD_CHAINED_PTR_32_FIRMWARE

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_32_FIRMWARE

  - ### DYLD_CHAINED_PTR_64_OFFSET

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_64_OFFSET

  - ### DYLD_CHAINED_PTR_ARM64E_KERNEL

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_ARM64E_KERNEL

  - ### DYLD_CHAINED_PTR_64_KERNEL_CACHE

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_64_KERNEL_CACHE

  - ### DYLD_CHAINED_PTR_ARM64E_USERLAND

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_ARM64E_USERLAND

  - ### DYLD_CHAINED_PTR_ARM64E_FIRMWARE

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_ARM64E_FIRMWARE

  - ### DYLD_CHAINED_PTR_X86_64_KERNEL_CACHE

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_X86_64_KERNEL_CACHE

  - ### DYLD_CHAINED_PTR_ARM64E_USERLAND24

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_ARM64E_USERLAND24

  - ### DYLD_CHAINED_PTR_ARM64E_SHARED_CACHE

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_ARM64E_SHARED_CACHE

  - ### DYLD_CHAINED_PTR_TYPE_UNKNOWN

    public static final DyldChainedPtr.DyldChainType DYLD_CHAINED_PTR_TYPE_UNKNOWN

- ## Method Details

  - ### values

    public static DyldChainedPtr.DyldChainType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DyldChainedPtr.DyldChainType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### lookupChainPtr

    public static DyldChainedPtr.DyldChainType lookupChainPtr(int val)

  - ### getValue

    public int getValue()

  - ### getName

    public String getName()